document.addEventListener('DOMContentLoaded', function (event) {
  var baseHost = document.location.origin
  const start = document.getElementById('start');
  let graph = document.getElementsByTagName('canvas')[0].getContext('2d');

  let gow = graph.canvas.width;
  let goh = graph.canvas.height;
  let giw = 12*60;
  let gih = 450;
  let gix = 40;
  let giy = 10;
  let charge_go = 0;

  start.onclick = () => {
    if( start.innerText == "START"){
      start.innerText = "STOP";
      charge_go = 1;
    } else {
      start.innerText = "START";
      charge_go = 0;
    }
  
  }
  function getData( ){
    fetch("./data.json?s="+charge_go.toString()) .then( response => response.json()) .then( data => dispData( data) )  .catch((reason) => { console.log( reason); });
  }

  function pregraph() {
    let i;

    graph.font = "12px serif";

    graph.fillStyle = 'rgba(255,255,192,1)';    graph.fillRect( 0, 0, gow, goh);
    graph.fillStyle = 'rgba(192,192,192,1)';    for(i = 0 ; i <= giw; i += 60){ graph.fillRect( gix+i, giy, 1, gih); }
                                                for(i = 0 ; i <= gih; i += 50){ graph.fillRect( gix, giy+i, giw, 1);  }
    graph.fillStyle = 'rgba(192,192,192,1)';    for(i = 0 ; i <= giw; i += 60){ graph.fillText( (i/60).toString(), gix+i-5, giy+gih+15); }
                                                for(i = 0 ; i <= gih; i += 50){ graph.fillText( (i*10).toString(), gix-30, giy+gih-i+5); }
    graph.stroke();
    graph.restore();
  }

  function dispData( data){
    let i;
    let h;
    let d;
    
    pregraph();
    if( data.n){
      graph.fillStyle = 'rgba(255,0,0,1)';
      for(i = 0 ; i < data.n; i++){
        d = data.h0[ i]*gih/4500;
        if( d < gih){
          h = d;
        } else {
          h = gih;
        }
        graph.fillRect( gix+i, giy+gih-h, 1, 1);
      }
      graph.fillStyle = 'rgba(0,255,0,1)';
      for(i = 0 ; i < data.n; i++){
        d = data.h1[ i]*gih/4500;
        if( d < gih){
          h = d;
        } else {
          h = gih;
        }
        graph.fillRect( gix+i, giy+gih-h, 1, 1);
      }
      graph.fillStyle = 'rgba(0,0,255,1)';
      for(i = 0 ; i < data.n; i++){
        d = data.h2[ i]*gih/4500;
        if( d < gih){
          h = d;
        } else {
          h = gih;
        }
        graph.fillRect( gix+i, giy+gih-h, 1, 1);
      }
    }
    graph.font = "20px serif";
    graph.fillStyle = 'rgba(64,64,64,1)';
    graph.fillText( "Cell(mV): "+data.c0+" / "+data.c1+" / "+data.c2 + "(max/min/dif/chg=" + data.max+"/" + data.min + "/"+data.dif+"/"+data.chg+")", gix+10, giy+gih+40);
    graph.stroke();
    graph.restore();
    setTimeout(() => { getData(); }, 500);
  }
  getData();
})
